
// Ratio variables
// ------------------------------------------------------------------------ //

$headings       : 'h1', 'h2', 'h3', 'h4', 'h5', 'h6';

$MINOR_SECOND   : 1.067;
$MAJOR_SECOND   : 1.125;
$MINOR_THIRD    : 1.2;
$MAJOR_THIRD    : 1.25;
$PERFECT_FOURTH : 1.333;
$PERFECT_FIFTH  : 1.5;
$GOLDEN_SECTION : 1.618;
$MINOR_SIXTH    : 1.6;
$MAJOR_SIXTH    : 1.667;
$MINOR_SEVENTH  : 1.778;

$RATIO          : $MINOR_THIRD;
$base_line_height_em : $base_line_height * 1em;

// Functions and Mixins
// ------------------------------------------------------------------------ //

@function getLineHeight($font_size) {
    $temp: $base_line_height_em / $font_size * 1em;

    @if $temp < 1em {
        @return $temp * 1.5;
    } @else {
        @return $temp;
    }
}

@function getMarginBottom($font_size) {
    $temp: $base_line_height_em / $font_size * 1em;

    @return $temp / 1.6;
}

@mixin typography_getStyle($multiplier, $direction: 'up') {
    $font_size: 1em;

    @if $direction == up {

        @if $multiplier == 0 {
            $font_size: 1em;
        } @else {
            @for $i from 1 through $multiplier {
                $font_size: $font_size * $RATIO;
            }
        }

    } @else {
        @for $i from 1 through $multiplier {
            $font_size: (1 / $RATIO) * $font_size;
        }
    }

    font-size: $font_size;
    line-height: getLineHeight($font_size);
    margin: 0 0 getMarginBottom($font_size) 0;

}


// Styles
// ------------------------------------------------------------------------ //

$multiplier: 5 * 1;

@each $heading in $headings {

    #{ $heading },
    .#{ $heading } {

        @if $multiplier < 0 {
            $temp: $multiplier * -1;

            @include typography_getStyle($temp, 'down');
        } @else {
            @include typography_getStyle($multiplier);
        }

    }

    $multiplier: $multiplier - 1;

}

p,
ul,
ol,
hr,
table {
    // @include typography_getStyle(0);
    font-size: 1em;
    line-height: $base_line_height;
    margin: 0 0 1em 0;
}

.font--semi, .f--semi {
    font-weight: 600;
}

.no-wrap {
    white-space: nowrap;
}

.line-small {
    line-height: 1.2;
}

.text-linetrough {
    text-decoration: line-through;
}



.page-title, .page-title2 {
    color: $orange;
    font-family: monospace, monospace;
    
}
.page-title {
    line-height: 1.2;
    // font-weight: 600;
    font-size: 24px;
    margin-bottom: 24px;
    
    @media #{$medium} {
        line-height: 1.1;
        font-size: 35px;
        margin-bottom: 30px;
    }
}

.page-title2 {
    line-height: 1.6;
    font-size: 18px;
    margin-bottom: 16px;

    @media #{$medium} {
        line-height: 1.2;
        font-size: 26px;
    }
}

$sizes: 14, 16, 18, 20, 22, 24, 30, 36;

@each $size in $sizes {
    .f-#{$size} {
        @include fontSize($size);
    }
}

@media #{$medium} {
    @each $size in $sizes {
        .f-m-#{$size} {
            @include fontSize($size);
        }
    }
}
